## net.sf.saxon.expr.sort
Class GlobalOrderComparer

    java.lang.Object
      net.sf.saxon.expr.sort.GlobalOrderComparer

All Implemented Interfaces:
  Serializable, NodeOrderComparer

    public final class GlobalOrderComparer

extends Object
implements NodeOrderComparer, Serializable

A Comparer used for comparing nodes in document order. This comparer is used when there is no guarantee that the nodes being compared come from the same document

Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`GlobalOrderComparer()`

Method Summary
`int` `compare(NodeInfo a, NodeInfo b)` Compare two objects.
`static GlobalOrderComparer` `getInstance()` Get an instance of a GlobalOrderComparer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalOrderComparer

    public GlobalOrderComparer()

Method Detail

### getInstance

    public static GlobalOrderComparer getInstance()

  Get an instance of a GlobalOrderComparer. The class maintains no state so this returns the same instance every time.

### compare

    public int compare(NodeInfo a,
                       NodeInfo b)

  Description copied from interface: `NodeOrderComparer`
  Compare two objects.

  Specified by:
    `compare` in interface `NodeOrderComparer`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.